---
schema_version: "1"
id: 3bcb8595ea522a1a5c8e78f6a86cd027a7e92dfb5694fe42342d5e3e027cf64e
title: Instance Results
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/analytics/api_analytics/guides/reference/reports/sforce-analytics-rest-api-instance-resource-results.md
canonical_url: https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/sforce-analytics-rest-api-instance-resource-results.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: f695755894922879a2eac7e975151323eccfcbb9a637c8351dc7bd12803cbffb
products:
  - Salesforce Reports and Dashboards REST API Developer Guide
  - analytics
---

# Instance Results

Retrieves results for an instance of a report run asynchronously with or without filters. Depending on your asynchronous report run request, data can be at the summary level or include details.

## Resource URL

```nolang
/services/data/<latest API version>/analytics/reports/<report ID>/instances/<instance ID>
```

## Formats

JSON

## HTTP Methods

|Method|Description|
|------|-----------|
|GET|Retrieves results of an asynchronous report run. See this [example](https://developer.salesforce.com/docs/analytics/examples/reports/sforce-analytics-rest-api-get-reportdata.md).|
|DELETE|If the given report instance has a `status` of `Success` or `Error`, delete the report instance and return an empty response body.|

## GET Response Body

|Property|Type|Description|
|--------|----|-----------|
|`allData`|Boolean|When True, all report results are returned. When False, returns results for the same number of rows as a report run in Salesforce.|
|`attributes`|[Attributes](#attributes)|Attributes for the instance of the report run.|
|`factMap`|[Fact map](https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/sforce-analytics-rest-api-getreportrundata.md)|Collection of summary level data or both detailed and summary level data.|
|`groupingsAcross`|[Groupings across](https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/sforce-analytics-rest-api-getbasic-reportmetadata.md)|Collection of column groupings.|
|`groupingsDown`|[Groupings down](https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/sforce-analytics-rest-api-getbasic-reportmetadata.md)|Collection of row groupings.|
|`hasDetailRows`|Boolean|When `false`, report results are at summary level. When `true`, report results are at the record detail level.|
|`hasExceededTabularRowLimit`|Boolean|When True, returns the same number of rows as a report run in Salesforce. For a report on Salesforce Objects, total and subtotal rows don't count toward this limit. For a report on Data 360 Objects, total and subtotal rows do count toward this limit. When False, all report results are returned.|
|`reportExtendedMetadata`|[Report extended metadata](https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/sforce-analytics-rest-api-getbasic-reportmetadata.md)|Information on report groupings, summary fields, and detailed data columns, which is available if detailed data is requested.|
|`reportMetadata`|[Report metadata](https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/sforce-analytics-rest-api-getbasic-reportmetadata.md)|Information about the fields used to build the report.|

## Attributes

|Property|Type|Description|
|--------|----|-----------|
|`id`|String|Unique ID for an instance of a report that was run.|
|`status`|String|New if the report run has just been triggered through a request, Success if the report ran, Running if the report is being run, or Error if the report run failed. The instance of a report run can return an error if, for example, your permission to access the report has been removed since you requested the run.|
|`ownerId`|String|API name of the user that created the instance.|
|`completionDate`|Date, time string|Date, time when the instance of the report run finished. Only available if the report instance ran successfully or couldn’t be run because of an error. Date-time information is in ISO-8601 format.|
|`requestDate`|Date, time string|Date and time when an instance of the report run was requested. Date-time information is in ISO-8601 format.|
|`type`|String|Format of the resource.|
|`reportId`|String|Unique report ID.|
|`reportName`|String|Display name of the report.|

**See Also**  


-   [Execute Async](https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/sforce-analytics-rest-api-instances-summaryasync.md)
-   [Instances List](https://developer.salesforce.com/docs/analytics/salesforce-analytics-rest-api/guide/sforce-analytics-rest-api-instances-resource.md)

